package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CouponUser;

/**
 * 优惠券领取记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface CouponUserMapper 
{
    /**
     * 查询优惠券领取记录
     * 
     * @param id 优惠券领取记录主键
     * @return 优惠券领取记录
     */
    public CouponUser selectCouponUserById(Long id);


    public int selectCountCouponUserbycouponId(Long couponId);


    /**
     * 查询优惠券领取记录列表
     * 
     * @param couponUser 优惠券领取记录
     * @return 优惠券领取记录集合
     */
    public List<CouponUser> selectCouponUserList(CouponUser couponUser);

    /**
     * 新增优惠券领取记录
     * 
     * @param couponUser 优惠券领取记录
     * @return 结果
     */
    public int insertCouponUser(CouponUser couponUser);

    /**
     * 修改优惠券领取记录
     * 
     * @param couponUser 优惠券领取记录
     * @return 结果
     */
    public int updateCouponUser(CouponUser couponUser);

    /**
     * 删除优惠券领取记录
     * 
     * @param id 优惠券领取记录主键
     * @return 结果
     */
    public int deleteCouponUserById(Long id);

    /**
     * 批量删除优惠券领取记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCouponUserByIds(Long[] ids);
}
